%define name monotone-viz
%define version 1.0
%define release %mkrel 1

Summary: A small GTK+ application that visualizes monotone ancestry graphs
Name: %{name}
Version: %{version}
Release: %{release}
Source0: %{name}-%{version}.tar.gz
License: GPL
Group: Development/Other
Url: http://oandrieu.nerim.net/monotone-viz/
BuildRequires: ocaml-lablgtk2-devel findlib camlp4 libgnomecanvas2-devel monotone
Requires: monotone graphviz

%description
Monotone-viz is a small GTK+ application that visualizes monotone ancestry
graphs. Monotone is a free distributed version control system. Montone-viz
is developed in the Objective Caml language, using the GTK+ and
libgnomecanvas libraries (via LablGTK, an OCaml binding for GTK+), and it
uses the dot program from the Graphviz package. 

%prep
%setup -q

%build
%configure --without-local-lablgtk
%make

%install
rm -rf %buildroot
%makeinstall
install -d -m 0755 %buildroot/%_menudir
cat << EOF > %buildroot/%{_menudir}/%{name}
?package(%{name}):command="%{_bindir}/%{name}" \
needs="X11" section="More Applications/Development/Tools" \
title="Monotone-viz" longtitle="Visualizes monotone ancestry graphs" \
accept_url="false" \
xdg="true"
EOF

mkdir -p %buildroot/%{_datadir}/applications
cat > %buildroot/%{_datadir}/applications/mandriva-%{name}.desktop << EOF
[Desktop Entry]
Name=Monotone-viz
Comment=Visualizes monotone ancestry graphs
Exec=%{_bindir}/%{name}
Terminal=false
Type=Application
Categories=GNOME;GTK;X-MandrivaLinux-MoreApplications-Development-Tools;Development;RevisionControl;
EOF

%clean
rm -rf %buildroot

%post 
%{update_menus} 

%postun 
%{clean_menus} 

%files
%defattr(-,root,root)
%{_bindir}/%{name}
%{_menudir}/%{name}
%{_datadir}/applications/*
%doc COPYING NEWS README




%changelog
* Thu Dec 20 2007 Nicholas Brown <nickbrown@mandriva.org> 1.0-1mdv2008.1
+ Revision: 135614
- New version

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request
    - kill desktop-file-validate's 'warning: key "Encoding" in group "Desktop Entry" is deprecated'


* Fri Feb 02 2007 Nicholas Brown <nickbrown@mandriva.org> 0.15-4mdv2007.0
+ Revision: 115971
- another attempt at fixing dependancies
- fix dependancies

* Thu Oct 19 2006 Nicholas Brown <nickbrown@mandriva.org> 0.15-3mdv2007.1
+ Revision: 71018
- add xdg menu
- bump release
- fix buildrequires properly again
- fix buildrequires properly
- fix buildrequires
- new release
- Import monotone-viz

* Mon Jun 19 2006 Pascal Terjan <pterjan@mandriva.org> 0.14-2mdv2007.0
- mkrel

* Mon Apr 17 2006 Nick Brown <nickbrown@mandriva.org> 0.14-1mdk
- 0.14

* Wed Feb 08 2006 Nick Brown <nickbrown@mandriva.org> 0.13-1mdk
- new release

* Sat Nov 05 2005 Nick Brown <nickbrown@mandriva.org> 0.12-1mdk
- First Mandriva package release

